import type { Config } from '@xopcai/xopc/config/schema.js';
export declare function editMessageFeishu(params: {
    cfg: Config;
    accountId?: string;
    messageId: string;
    text: string;
}): Promise<{
    ok: boolean;
}>;
export declare function getMessageFeishu(params: {
    cfg: Config;
    accountId?: string;
    messageId: string;
}): Promise<any>;
export declare function addReactionFeishu(params: {
    cfg: Config;
    accountId?: string;
    messageId: string;
    emojiType: string;
}): Promise<any>;
export declare function listReactionsFeishu(params: {
    cfg: Config;
    accountId?: string;
    messageId: string;
    emojiType?: string;
}): Promise<any>;
export declare function removeReactionFeishu(params: {
    cfg: Config;
    accountId?: string;
    messageId: string;
    reactionId: string;
}): Promise<any>;
export declare function pinMessageFeishu(params: {
    cfg: Config;
    accountId?: string;
    messageId: string;
}): Promise<any>;
export declare function unpinMessageFeishu(params: {
    cfg: Config;
    accountId?: string;
    messageId: string;
}): Promise<any>;
export declare function listPinsFeishu(params: {
    cfg: Config;
    accountId?: string;
    chatId: string;
    startTime?: string;
    endTime?: string;
    pageSize?: number;
    pageToken?: string;
}): Promise<any>;
